\subsubsection{General goal}

In order to master the OpenStack technology before using it in production and
opening its use to its future users, a thorough study of its workings was
necessary, in particular its lifecycle. That includes, among others, regular
administration of the service~: data backups: configuration, virtual machines
disks, \ldots; components and system upgrades, and thus crafting procedures
for them.

The CRI being a department with a limited number of personnel, in addition to
the study of OpenStack, some tasks were devoted to the support of the
department in its primary missions. Among other, those tasks include:

\begin{itemize}
    \item development and deployment of the new CRI intranet
    \item redaction and manage the introductory practical to the PIE\footnote{%
        Parc Informatique de l'EPITA}
    \item study of the use of NixOS as primary distribution for the computer
        rooms
    \item maintenance and upgrade of the services hosted by the CRI, in
        particular Request Tracker, a Discord bot, intranet, PIE images,
        Bookstack, \ldots
    \item writing of blog articles destined to the students on the CRI's blog
    \item writing of the reference code for the recruitment project of future
        CRI students
    \item configuration of servers' iDRAC cards to be able to remotely manage
        them
    \item implementation of Zabbix, a monitoring software, in order to have
        metrics on network and electrical equipments usage
\end{itemize}
